Package org.springframework.context.annotation

# Interface ScopeMetadataResolver

All Known Implementing Classes:
  `AnnotationScopeMetadataResolver`, `Jsr330ScopeMetadataResolver`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface ScopeMetadataResolver
Strategy interface for resolving the scope of bean definitions.

Since:
  2.5
Author:
  Mark Fisher
See Also:
  - `Scope`

## Method Summary

Modifier and Type
Method
Description
`ScopeMetadata`
`resolveScopeMetadata(org.springframework.beans.factory.config.BeanDefinition definition)`
Resolve the `ScopeMetadata` appropriate to the supplied bean `definition`.

## Method Details

### resolveScopeMetadata

ScopeMetadata resolveScopeMetadata(org.springframework.beans.factory.config.BeanDefinition definition)
Resolve the `ScopeMetadata` appropriate to the supplied bean `definition`.

Implementations can of course use any strategy they like to determine the scope metadata, but some implementations that spring immediately to mind might be to use source level annotations present on `the class` of the supplied `definition`, or to use metadata present in the `AttributeAccessor.attributeNames()` of the supplied `definition`.

Parameters:
  `definition` - the target bean definition
Returns:
  the relevant scope metadata; never `null`